VFS_IO_URING(8)

NAME
vfs_io_uring - Implement async io in Samba vfs using io_uring of Linux (>= 5.1).

SYNOPSIS

vfs objects = io_uring

DESCRIPTION

This VFS module is part of the samba(7) suite.

The io_uring VFS module enables asynchronous pread, pwrite and fsync using the io_uring infrastructure of Linux (>= 5.1). This provides much less overhead compared to the usage of the pthreadpool for async io.

This module SHOULD be listed last in any module stack as it requires real kernel file descriptors.

EXAMPLES

Straight forward use:

            [cooldata]
    	path = /data/ice
    	vfs objects = io_uring

OPTIONS

io_uring:num_entries = NUMBER_OF_QUEUE_ENTRIES
    The number of entries in the submission queue. The maximum allowed value depends on the kernel version and the kernel will roundup the value to a power of 2.

    The default is '128'.

io_uring:sqpoll = BOOL
    Use the IORING_SETUP_SQPOLL feature.

    The default is 'no'.

SEE ALSO

io_uring_setup(2).

VERSION

This man page is part of version 4.22.2 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.